curl -X POST https://api.mintlify.com/discovery/v1/search/your-domain \
-H "Authorization: Bearer mint_dsc_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"query": "how to install",
"pageSize": 10,
"filter": {
"version": "v2"
}
}'
[
{
"content": "To install Mintlify, run npm install -g mintlify...",
"path": "/quickstart/installation",
"metadata": {
"title": "Installation Guide",
"version": "v2"
}
},
{
"content": "Installation steps: 1. Install Node.js 2. Run npm install...",
"path": "/getting-started",
"metadata": {
"title": "Getting Started",
"version": "v2"
}
}
]
Perform semantic and keyword searches across your documentation
curl -X POST https://api.mintlify.com/discovery/v1/search/your-domain \
-H "Authorization: Bearer mint_dsc_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"query": "how to install",
"pageSize": 10,
"filter": {
"version": "v2"
}
}'
[
{
"content": "To install Mintlify, run npm install -g mintlify...",
"path": "/quickstart/installation",
"metadata": {
"title": "Installation Guide",
"version": "v2"
}
},
{
"content": "Installation steps: 1. Install Node.js 2. Run npm install...",
"path": "/getting-started",
"metadata": {
"title": "Getting Started",
"version": "v2"
}
}
]
Perform semantic and keyword searches across your documentation with configurable filtering and pagination.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/Mintlify/docs/llms.txt
Use this file to discover all available pages before exploring further.
mint_dsc_). Generate one on the API keys page in your dashboard.
The assistant API key is a public token that you can reference in frontend code.
domain.mintlify.app URL. Can be found at the end of your dashboard URL. For example, dashboard.mintlify.com/organization/domain has a domain identifier of domain.curl -X POST https://api.mintlify.com/discovery/v1/search/your-domain \
-H "Authorization: Bearer mint_dsc_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"query": "how to install",
"pageSize": 10,
"filter": {
"version": "v2"
}
}'
[
{
"content": "To install Mintlify, run npm install -g mintlify...",
"path": "/quickstart/installation",
"metadata": {
"title": "Installation Guide",
"version": "v2"
}
},
{
"content": "Installation steps: 1. Install Node.js 2. Run npm install...",
"path": "/getting-started",
"metadata": {
"title": "Getting Started",
"version": "v2"
}
}
]